Bug 1207276 - Uninventory of platform always display a message "You are going to uninventory at least one resource that may be used by the storage cluster" when its not.
Summary: Uninventory of platform always display a message "You are going to uninventor...
Status: CLOSED ERRATA
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Core Server, UI
Version: JON 3.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: CR01
: JON 3.3.3
Assignee: Michael Burman
QA Contact: Filip Brychta
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-30 15:17 UTC by Dasharath Masirkar
Modified: 2019-04-16 14:45 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-07-30 16:41:41 UTC


Attachments (Terms of Use)
screenshot.zip (263.36 KB, application/zip)
2015-03-30 15:17 UTC, Dasharath Masirkar
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1525 normal SHIPPED_LIVE Moderate: Red Hat JBoss Operations Network 3.3.3 update 2015-07-30 20:41:08 UTC
Red Hat Knowledge Base (Solution) 736173 None None None Never

Description Dasharath Masirkar 2015-03-30 15:17:09 UTC
Created attachment 1008537 [details]
screenshot.zip

Description of problem:

On Uninventory of platform always display a confirmation message "You are going to uninventory at least one resource that may be used by the storage cluster. To avoid any errors in the future, you should undeploy the storage node prior to this step. Do you really want to continue at your own risk?" even when storage node is not installed or deployed  or child resource of the Platform.

Please find screenshots from attached screenshot.zip.

Version-Release number of selected component (if applicable):

JBoss ON Version: 3.3.1

How reproducible:

Always

Steps to Reproduce:

1. Login to JON UI then navigate to Inventory-->Resources-->Platforms-->select any one of the platform that does not storage node then click Uninventory button at the bottom.
2. Answer pop-up question "Are you sure you want to uninventory the selected resources? Note that if a selected resource still exists, then it will get rediscovered during its agent's next discovery scan" as Yes
3. Then in next pop-up window you will see message "You are going to uninventory at least one resource that may be used by the storage cluster. To avoid any errors in the future, you should undeploy the storage node prior to this step. Do you really want to continue at your own risk?"

Actual results:

The message "You are going to uninventory at least one resource that may be used by the storage cluster. To avoid any errors in the future, you should undeploy the storage node prior to this step. Do you really want to continue at your own risk?" is always displayed even if the Platform does not have storage node deployed.

Expected results:

The message "You are going to uninventory at least one resource that may be used by the storage cluster. To avoid any errors in the future, you should undeploy the storage node prior to this step. Do you really want to continue at your own risk?" should not be displayed if the Platform does not have storage node deployed.

Additional info:

Refer Screenshot "Screenshot-JON-Uninventory-Platform.png" from attached screenshot.zip.

Comment 1 Michael Burman 2015-06-24 18:21:24 UTC
This seemed intentional, as it wanted to recheck all the platform & storage node resources. 

Fixed in the master:

commit 6459ce98b6eff39b7854b98b9ca47b1845968ccd
Author: Michael Burman <miburman@redhat.com>
Date:   Wed Jun 24 21:20:20 2015 +0300

    [BZ 1207276] Removing platform does not cause additional question

Comment 2 Michael Burman 2015-06-24 21:39:17 UTC
Ignore the previous commit, I've reverted it.

Comment 3 Michael Burman 2015-07-01 13:35:22 UTC
Fixed in the master:

commit 78acc25d3a058fd94da49a07ff914fa83d83b42b
Author: Michael Burman <miburman@redhat.com>
Date:   Wed Jul 1 16:34:42 2015 +0300

    [BZ 1207276] Do not ask for second confirmation on uninventory if platform resource does not have storage nodes under it

Comment 5 Simeon Pinder 2015-07-10 18:55:24 UTC
Available for test with 3.3.3 ER01 build: 
https://brewweb.devel.redhat.com/buildinfo?buildID=446732
 *Note: jon-server-patch-3.3.0.GA.zip maps to ER01 build of
 jon-server-3.3.0.GA-update-03.zip.

Comment 6 Filip Brychta 2015-07-13 14:36:08 UTC
Still visible in ER01
Version :	
3.3.0.GA Update 03
Build Number :	
e4b348a:2f80c8c

Comment 7 Michael Burman 2015-07-16 18:13:09 UTC
I'd like to see the situation in which it does, as in that case the parent does have storage nodes associated to it or plugin called RHQStorage is in use.

Comment 8 Michael Burman 2015-07-21 09:59:13 UTC
Fixed in master:

commit cdba34c214c30db599301b84c71be4cdb9e61127
Author: Michael Burman <miburman@redhat.com>
Date:   Tue Jul 21 12:58:47 2015 +0300

    [BZ 1207276] Rename parentResourceId -> filterParentResourceId

Comment 9 Simeon Pinder 2015-07-21 17:14:12 UTC
branch: release/jon3.3.x
commit: e3d3e157097b0de7f30dd42b9bf0e1e974c89e43
Author:     Michael Burman <miburman@redhat.com>
AuthorDate: Tue Jul 21 12:58:47 2015 +0300
Commit:     Simeon Pinder <spinder@fulliautomatix.conchfritter.com>
CommitDate: Tue Jul 21 12:41:01 2015 -0400

    [BZ 1207276] Rename parentResourceId -> filterParentResourceId

Comment 10 Simeon Pinder 2015-07-24 06:19:51 UTC
Available for test with following build:
 https://brewweb.devel.redhat.com/buildinfo?buildID=448923
   *Note: jon-server-patch-3.3.0.GA.zip maps to CR01 build of
   jon-server-3.3.0.GA-update-03.zip.

Comment 11 Filip Brychta 2015-07-24 09:47:43 UTC
Verified on
Version :	
3.3.0.GA Update 03
Build Number :	
edc324f:119e8f4

Comment 13 errata-xmlrpc 2015-07-30 16:41:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1525.html


Note You need to log in before you can comment on or make changes to this bug.